org.keycloak.saml.processing.core.parsers.saml.metadata

## Class SAMLAssertionConsumerServiceParser

- java.lang.Object
- - org.keycloak.saml.common.parsers.AbstractStaxParser<T,SAMLMetadataQNames>
  - - org.keycloak.saml.processing.core.parsers.saml.metadata.AbstractStaxSamlMetadataParser<IndexedEndpointType>
    - - org.keycloak.saml.processing.core.parsers.saml.metadata.SAMLIndexedEndpointTypeParser
      - - org.keycloak.saml.processing.core.parsers.saml.metadata.SAMLAssertionConsumerServiceParser

- All Implemented Interfaces:
    StaxParser

      public class SAMLAssertionConsumerServiceParser
      extends SAMLIndexedEndpointTypeParser

  Author:
    mhajas

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.saml.processing.core.parsers.saml.metadata.AbstractStaxSamlMetadataParser

      `LOOKUP`

    - ### Fields inherited from class org.keycloak.saml.common.parsers.AbstractStaxParser

      `expectedStartElement, LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLAssertionConsumerServiceParser()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SAMLAssertionConsumerServiceParser` | `getInstance()`

    - ### Methods inherited from class org.keycloak.saml.processing.core.parsers.saml.metadata.SAMLIndexedEndpointTypeParser

      `instantiateElement, processSubElement`

    - ### Methods inherited from class org.keycloak.saml.processing.core.parsers.saml.metadata.AbstractStaxSamlMetadataParser

      `getElementFromName`

    - ### Methods inherited from class org.keycloak.saml.common.parsers.AbstractStaxParser

      `isUnknownElement, parse, validateStartElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMLAssertionConsumerServiceParser

          public SAMLAssertionConsumerServiceParser()

  - ### Method Detail

    - #### getInstance

          public static SAMLAssertionConsumerServiceParser getInstance()

Copyright © 2021 JBoss by Red Hat. All rights reserved.